function [measurementAverage] = averageMeasurementTransient(measurement)
    
    settings = [measurement.speed]';
    [uniqueSettings,~,ic] = unique(settings,'rows');

    measurementAverage = struct();
    for i=1:size(uniqueSettings,1)
        measurementAverage(i).speed = uniqueSettings(i,1);
    
        selection = find(ic==i);
    
        measurementAverage(i).time = mean([measurement(selection).time],2);
        measurementAverage(i).angle = mean([measurement(selection).angle],2);
        measurementAverage(i).torque = mean([measurement(selection).torque],2);
        measurementAverage(i).anglerate = mean([measurement(selection).anglerate],2);

        measurementAverage(i).torquestd = std([measurement(selection).torque],[],2);
    end

end