function fixPlotText(f)

    if nargin<1
        f = gcf;
    end

    t = findall(f,'Type','TiledLayout');
    if ~isempty(t)
        t.Title.String = strLatexify(t.Title.String);
        t.Title.Interpreter = 'latex';
        t.Title.FontSize = 9;
        t.XLabel.String = strLatexify(t.XLabel.String);
        t.XLabel.Interpreter = 'latex';
        t.XLabel.FontSize = 9;
        t.YLabel.String = strLatexify(t.YLabel.String);
        t.YLabel.Interpreter = 'latex';
        t.YLabel.FontSize = 9;
    end

    a = findall(f,'Type','Axes');
    set(a,'TickLabelInterpreter','latex','FontSize',9);

    for i=1:numel(a)
        a(i).Title.String = strLatexify(a(i).Title.String);
        a(i).Title.Interpreter = 'latex';
        a(i).Title.FontSize = 9;
        a(i).XLabel.String = strLatexify(a(i).XLabel.String);
        a(i).XLabel.Interpreter = 'latex';
        a(i).XLabel.FontSize = 9;
        a(i).YLabel.String = strLatexify(a(i).YLabel.String);
        a(i).YLabel.Interpreter = 'latex';
        a(i).YLabel.FontSize = 9;
    end

    l = findall(f,'Type','Legend');
    if ~isempty(l)
        l.Interpreter = 'latex';
        l.FontSize = 9;
    end

    c = findall(f,'Type','colorbar');
    if ~isempty(c)
        c.TickLabelInterpreter = 'latex';
        c.FontSize = 9;
        c.Label.Interpreter = 'latex';
        c.Label.FontSize = 9;
    end
    
    t = findall(f,'Type','text');
    if ~isempty(t)
        set(t,'Interpreter','latex');
        set(t,'Fontsize',9);
    end

    box = findall(f,'Type','textboxshape');
    if ~isempty(t)
        set(box,'Interpreter','latex');
        set(box,'Fontsize',9);
    end

end