function [gamma12,gamma13,U1,J] = freeTorsionStrainsAnisotropic(X2,X3,w,h,varphi,N,f)

series12=zeros(size(X2));
for k = 1:N
    kn = (pi*(2*k-1))/h;
    series12 = series12 + ((-1)^(k+1)/(2*k-1)^2) * (1-cosh(kn*X2/f)./cosh(kn*w/2/f)) .* sin(kn*X3);
end
gamma12 = -8*varphi*h/pi^2 .* series12;

series13=zeros(size(X2));
for k = 1:N
    kn = (pi*(2*k-1))/h;
    series13 = series13 + ((-1)^(k+1)/(2*k-1)^2) * sinh(kn*X2/f)./cosh(kn*w/2/f) .* cos(kn*X3) ;
end
gamma13 = f*8*varphi*h/pi^2 .* series13;

seriesU1 =zeros(size(X2));
for k = 1:N
    kn = (pi*(2*k-1))/h;
    seriesU1 = seriesU1 + ((-1)^(k+1)/(2*k-1)^3) * sinh(kn*X2/f)./cosh(kn*w/2/f) .* sin(kn*X3);
end
U1 = -varphi.*X2.*X3 + f*8*varphi*h^2/pi^3 .* seriesU1;

seriesJ =0;
for k = 1:N
    kn = (pi*(2*k-1))/h;
    seriesJ = seriesJ + 1/(2*k-1)^5 * tanh(kn*w/2/f);
end
J = 1/3*h^3*w*(1-192/pi^5*h/w*f*seriesJ);


