function measurement = readMeasurementTransient(inputFiles)
    for i=1:numel(inputFiles)
        file = fullfile(inputFiles(i).folder,inputFiles(i).name);
        filename = strsplit(inputFiles(i).name,'_');
        measurement(i).speed = str2double(extractBefore(filename{3},'rpm'));
        data = readtable(file,'VariableNamingRule','preserve');
        measurement(i).time = data{:,1};
        measurement(i).angle = data{:,2};
        measurement(i).torque = data{:,3};
        measurement(i).anglerate = data{:,4};

        measurement(i).time = [0;measurement(i).time];
        measurement(i).angle = [0;measurement(i).angle];
        measurement(i).torque = [0;measurement(i).torque];
        startanglerate = max([0 measurement(i).anglerate(1)-diff(measurement(i).anglerate([1 2]))]);
        measurement(i).anglerate = [startanglerate; measurement(i).anglerate];

        measurement(i).anglerate = measurement(i).anglerate*360/60; % from rpm to deg/s
    end
end