function [colors] = myColormap(n)
    
    % n = number of colors in between the original ones

    colors = [162 42 30; ...
             203 71 35; ...
             222 99 43;...
             234 134 58;...
             237 171 73;...
             227 198 80;...
             205 222 76;...
             176 239 76; ...
             142 245 93; ...
             96 242 131;...
             56 232 171;...
             43 215 202;...
             58 188 234;...
             78 158 250;...
             85 129 235;...
             79 81 166]/255;

    colors = flipud(colors); 
    
    m = n*(size(colors,1)-1)+1;

    [X,Y] = meshgrid(1:size(colors,2),1:m);  %// mesh of indices
    
    l = linspace(1,m,size(colors,1));
    colors = interp2(X(l,:),Y(l,:),colors,X,Y); %// interpolate colormap

end