function h = plotMesh(mesh,colorData,varargin)

    if nargin==1
        h = trisurf(mesh,'FaceColor',[0.5 0.5 0.5],'FaceAlpha',0.5);
    elseif isempty(colorData)
        h = trisurf(mesh,varargin{:});
    elseif numel(colorData)==size(mesh.ConnectivityList,1)
        h = trisurf(mesh,colorData,'EdgeAlpha',0.1,varargin{:});
    elseif numel(colorData)==size(mesh.Points,1)
        h = trisurf(mesh,colorData,'FaceColor','interp','EdgeAlpha',0.1,varargin{:});
    else
        error('Could not interpret input to plotMesh')
    end

    colormap(myColormap(7))
    axis equal
    axis off
    cameratoolbar

end