function [nodes,elements] = readGiDMesh(file)

    % Function is used to read ".msh" ASCII text files 
    % Mesh format according to the GiD pre- and postprocessor software
    % Only reads triangular elements

    fid = fopen(file,'r');
    clean = onCleanup(@() fclose(fid));
    
    scanCoordinates = false;
    scanElements = false;
    nodes = {};
    elements={};
    while ~feof(fid)
        line = fgetl(fid);
        
        if startsWith(line,'Coordinates','IgnoreCase',true)
            scanCoordinates = true;
        elseif startsWith(line,'Elements','IgnoreCase',true)
            scanElements = true;
        elseif scanCoordinates
            if startsWith(line,'End Coordinates','IgnoreCase',true)
                scanCoordinates = false;
            else
                nodes{end+1} = sscanf(line,'%d %f %f %f')';
            end
        elseif scanElements
            if startsWith(line,'End Elements','IgnoreCase',true)
                scanElements = false;
            else
                elements{end+1} = sscanf(line,'%i %i %i %i')';
            end
        end
    end
    
    nodes = cell2mat(nodes');
    elements = cell2mat(elements');
end