clear all;close all;clc

addpath('code')

APC = readtable('rawDataOscillatory/Amplitude Sweep APC7B.csv');
TC1225 = readtable('rawDataOscillatory/Amplitude Sweep TC8B.csv');

figure
h(1) = loglog(APC{:,1},APC{:,3},'-rs');
hold on
h(2) = loglog(APC{:,1},APC{:,4},'-ro');
h(3) = loglog(TC1225{:,1},TC1225{:,3},'-bs');
h(4) = loglog(TC1225{:,1},TC1225{:,4},'-bo');

%%
xlabel('Strain [\%]')
ylabel('Modulus [MPa]')
legend(h,{'Storage mod. APC','Loss mod. APC','Storage mod. TC1225','Loss mod. TC1225'})
axis(10.^[-3 0 -0.5 2.5])
grid on

%% Fix plot looks
fixPlotText();
set(gcf,'Units','centimeters','Position',[10 10 7 6.5],'color','white')

%%
% exportgraphics(gcf,'amplitudesweep.pdf','contenttype','vector')